import { Controller, ReactiveElement } from '@a11d/lit';
import { PointerHoverControllerOptions } from './PointerHoverController.js';
import { PointerPressControllerOptions } from './PointerPressController.js';
export interface PointerControllerOptions extends PointerPressControllerOptions, PointerHoverControllerOptions {
}
export declare class PointerController extends Controller {
    protected readonly host: ReactiveElement;
    protected readonly options?: PointerControllerOptions | undefined;
    constructor(host: ReactiveElement, options?: PointerControllerOptions | undefined);
    get hover(): boolean;
    get press(): boolean;
    private readonly hoverController;
    private readonly pressController;
}
//# sourceMappingURL=PointerController.d.ts.map